--- src/lib/net.c.orig	2019-12-12 15:15:21.470698735 -0700
+++ src/lib/net.c	2019-12-12 15:16:28.141216730 -0700
@@ -1068,13 +1068,17 @@
 		int error;
 		enum net_hosterror_type type;
 	} error_map[] = {
+#ifdef EAI_ADDRFAMILY /* Obsoleted by RFC 2553bis-02 */
 		{ EAI_ADDRFAMILY, NET_HOSTERROR_TYPE_NOT_FOUND },
+#endif
 		{ EAI_AGAIN, NET_HOSTERROR_TYPE_NAMESERVER },
 		{ EAI_BADFLAGS, NET_HOSTERROR_TYPE_INTERNAL_ERROR },
 		{ EAI_FAIL, NET_HOSTERROR_TYPE_NAMESERVER },
 		{ EAI_FAMILY, NET_HOSTERROR_TYPE_INTERNAL_ERROR },
 		{ EAI_MEMORY, NET_HOSTERROR_TYPE_INTERNAL_ERROR },
+#ifdef EAI_NODATA /* Obsoleted by RFC 2553bis-02 */
 		{ EAI_NODATA, NET_HOSTERROR_TYPE_NOT_FOUND },
+#endif
 		{ EAI_NONAME, NET_HOSTERROR_TYPE_NOT_FOUND },
 		{ EAI_SERVICE, NET_HOSTERROR_TYPE_INTERNAL_ERROR },
 		{ EAI_SOCKTYPE, NET_HOSTERROR_TYPE_INTERNAL_ERROR },
